Net::SSH::Perl::SSH2(3)

NAME
Net::SSH::Perl::SSH2 - SSH2 implementation

SYNOPSIS
    use Net::SSH::Perl;
    my $ssh = Net::SSH::Perl->new($host, protocol => 2);

DESCRIPTION
Net::SSH::Perl::SSH2 implements the SSH2 protocol. It is a subclass of Net::SSH::Perl, and implements the interface described in the documentation for that module. In fact, your usage of this module should be completely transparent; simply specify the proper protocol value (2) when creating your Net::SSH::Perl object, and the SSH2 implementation will be loaded automatically.

NOTE: Of course, this is still subject to protocol negotiation with the server; if the server doesn't support SSH2, there's not much the client can do, and you'll get a fatal error if you use the above protocol specification (2).

  AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.